VERSION 2.00
Begin Form VerVrfy2 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Version Verify"
   ClientHeight    =   4875
   ClientLeft      =   855
   ClientTop       =   960
   ClientWidth     =   6165
   Height          =   5280
   Icon            =   VERVRFY2.FRX:0000
   Left            =   795
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4875
   ScaleWidth      =   6165
   Top             =   615
   Width           =   6285
   Begin CommandButton ExitBut 
      Caption         =   "Exit"
      Height          =   375
      Left            =   4830
      TabIndex        =   4
      Top             =   1140
      Width           =   1275
   End
   Begin TextBox DetailText 
      BackColor       =   &H00C0C0C0&
      Height          =   2895
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   3
      Top             =   1890
      Width           =   5955
   End
   Begin ListBox ConflictListBox 
      Height          =   1005
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   4005
   End
   Begin VersionStamp VerStamp1 
      exeComments     =   VERVRFY2.FRX:0302
      FileVersion     =   VERVRFY2.FRX:03F8
      Left            =   5610
      SelectFiles     =   VERVRFY2.FRX:042C
      Slave           =   -1  'True
      Top             =   630
   End
   Begin Label Label2 
      BackColor       =   &H00C0C0C0&
      Caption         =   "Detail description of incompatibilities"
      Height          =   195
      Left            =   120
      TabIndex        =   2
      Top             =   1590
      Width           =   5955
   End
   Begin Label Label1 
      BackColor       =   &H00C0C0C0&
      Caption         =   "&Incompatible Files"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   180
      Width           =   1575
   End
End

Option Explicit
Dim ListBoxTabs%(3)
Dim TextBoxTabs%(3)

Sub ConflictListBox_Click ()
Dim index%
Dim tstr$

    'get index to selected list item
    index% = ConflictListBox.ListIndex
    If index% = -1 Then Exit Sub
    index% = index% + 1 'index to array begins at 1

    ' Get more information about each conflict.
    tstr$ = GetDetailConflictInfo(index%)
    ' Place detail information about each conflict in a text box.
    DetailText.Text = tstr$

End Sub

Sub DetailText_KeyPress (KeyAscii As Integer)
    KeyAscii = 0
End Sub

Sub ExitBut_Click ()
    Unload Me
End Sub

Sub Form_Load ()
    
    NL = Chr$(13) & Chr$(10)
    TB = Chr$(9)

    ListBoxTabs%(0) = 16 * 4
    ListBoxTabs%(1) = ListBoxTabs%(0) + 16 * 4
    ListBoxTabs%(2) = ListBoxTabs%(1) + 16 * 4

    TextBoxTabs%(0) = 22 * 4
    TextBoxTabs%(1) = TextBoxTabs%(0) + 22 * 4
    TextBoxTabs%(2) = TextBoxTabs%(1) + 22 * 4

    ' Handle the monochrome case by going black on white
    If GetColorCount(Me) = 2 Then
        BackColor = QBColor(15)
        DetailText.BackColor = BackColor
    End If

    StartVerify VerStamp1
    FillConflictFileListBox False, ConflictListBox
End Sub

Sub Form_Resize ()
Dim dl&

    ' Set the tab stops in the list box
    dl& = SendMessage(ConflictListBox.hWnd, LB_SETTABSTOPS, 3, ListBoxTabs%(0))
    ' Set identical tab stops in the text box
    dl& = SendMessage(DetailText.hWnd, EM_SETTABSTOPS, 3, TextBoxTabs%(0))

End Sub

Sub VerStamp1_EnumComplete ()
    LogEnumComplete VerStamp1
End Sub

'
' This event is triggered for each file that contained
' a conflict with the embedded file.
Sub VerStamp1_FileConflict (ReferenceFile As String, FoundFile As String, Flags As Long, StopVerify As Integer)
    LogFileConflict ReferenceFile, FoundFile, Flags, StopVerify, VerStamp1
End Sub

Sub VerStamp1_FileScan (ReferenceFile As String, VerifyFlags As Long, StopScan As Integer)

    'Since all we need to do is make sure at least one file was found
    '(which tells us this EXE has embedded information), we can halt the scan.
    StopFileScan ReferenceFile, VerifyFlags, StopScan
End Sub

